Mantis Bug Tracker

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000242Mana ServerCorepublic2010-09-23 07:452013-01-29 06:01
ReporterBertram 
Assigned ToAblu 
PriorityhighSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.2.0Fixed in Version0.2.0 
Summary0000242: [Core] Implementation of the attack system.
DescriptionThe specification of the attack system is to be finished, the link between items, the attacks updates, the attributes and the skill to increase when using it is also to be fixed.
TagsNo tags attached.
Attached Filespatch file icon 0001-Fixed-autoattacks-basic-handling.patch [^] (5,207 bytes) 2011-04-27 15:47 [Show Content]

- Relationships
has duplicate 0000332closed Finish the implementation of the Auto-Attack system 

-  Notes
(0001242)
Bertram (manager)
2011-04-27 15:49

Add a patch aiming at being the first step of auto attacks implementation tests.
(0001321)
Idiomatic (reporter)
2011-06-08 15:58

Seems to work without any failures for me, can't speak as to the code yet so I'm bumping this for other devs.
(0001322)
Bertram (manager)
2011-06-08 23:02

Thanks for the functional review :)

Mind making the technical one, Bjorn?
(0001356)
Bertram (manager)
2011-06-23 23:50

First patch pushed.
(0001527)
Bertram (manager)
2011-11-01 09:10

Basic XP earning with default skill using the default autoattack done so far:
https://github.com/mana/manaserv/commit/b4589749217c550db0849b439b6687ff4f5822d7 [^]
https://github.com/mana/manaserv/commit/b1d04f61a96f757f5b561605ae06be67a4e0cc41 [^]
(0001756)
Bertram (manager)
2012-05-22 07:56

Assigned to Ablu, since he's the one taking care of it atm. (Thanks!)
(0001780)
Ablu (manager)
2013-01-29 06:01

Closing issue since i pushed my autoattack fixes. Not fully polished. But since we will implement a different attack system anyway i close this for now

- Issue History
Date Modified Username Field Change
2010-09-23 07:45 Bertram New Issue
2010-09-23 07:45 Bertram Status new => assigned
2010-09-23 07:45 Bertram Assigned To => Freeyorp101
2010-09-23 07:46 Bertram Target Version => 0.2.0
2010-11-24 11:30 Bertram Note Added: 0000897
2010-11-24 11:30 Bertram Target Version 0.2.0 =>
2011-04-27 15:18 Bertram Assigned To Freeyorp101 =>
2011-04-27 15:18 Bertram Status assigned => confirmed
2011-04-27 15:47 Bertram Relationship added duplicate of 0000332
2011-04-27 15:47 Bertram Relationship deleted 0000332
2011-04-27 15:47 Bertram Relationship added has duplicate 0000332
2011-04-27 15:47 Bertram File Added: 0001-Fixed-autoattacks-basic-handling.patch
2011-04-27 15:48 Bertram Category General => Core
2011-04-27 15:48 Bertram Target Version => 0.2.1
2011-04-27 15:48 Bertram Note Deleted: 0000897
2011-04-27 15:49 Bertram Note Added: 0001242
2011-06-08 15:58 Idiomatic Note Added: 0001321
2011-06-08 23:02 Bertram Note Added: 0001322
2011-06-23 23:50 Bertram Note Added: 0001356
2011-08-02 14:46 Bertram Assigned To => Bertram
2011-08-02 14:46 Bertram Status confirmed => assigned
2011-08-02 14:50 Bertram Target Version 0.2.1 => 0.2.0
2011-08-02 14:51 Bertram Description Updated View Revisions
2011-11-01 09:10 Bertram Note Added: 0001527
2012-05-22 07:55 Bertram Assigned To Bertram => Ablu
2012-05-22 07:56 Bertram Note Added: 0001756
2012-05-22 07:56 Bertram Summary [Core] Implementation of the auto-attack system. => [Core] Implementation of the attack system.
2012-05-22 07:56 Bertram Description Updated View Revisions
2013-01-29 06:01 Ablu Note Added: 0001780
2013-01-29 06:01 Ablu Status assigned => resolved
2013-01-29 06:01 Ablu Fixed in Version => 0.2.0
2013-01-29 06:01 Ablu Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker